# Timetable Widget, ZPT widget that renders complex timetables
#
# Copyright (C) 2002 Juan David Ibez Palomar <jdavid@nuxeo.com>
#               2002 Nuxeo (http://www.nuxeo.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

"""Timetable Widget"""
__version__ = "$Revision: 1.1.1.1 $"


from unittest import TestCase, TestSuite, TextTestRunner

# Add the Timetable to the path
import os, sys
sys.path.append(os.path.join(sys.path[0], '../'))

from OldCode import mcm


class mcmTestCase(TestCase):
    def runTest(self):
        """Tests the mcm function."""

        l = [1, 2, 3, 4, 5]

        assert mcm(l) == 60


if __name__ == '__main__':

    # Build the test suite
    suite = TestSuite()
    suite.addTest(mcmTestCase())

    # Run the tests
    runner = TextTestRunner()
    runner.run(suite)
